local DustRedOverLife = {{0.0, 0.99}}
local DustGreenOverLife = {{0.0, 0.98}}
local DustBlueOverLife = {{0.0, 0.86}}

Emitters = {
	[1] = 
	{
        Name = "TracksDustL",
		Texture = "LitDust.png",
        Technique = "Translucent",
		Flags = {"SoftParticles", "LocalSpace", "Sort"},
		InitPositionBox = {Min = {0.8, 0.25, -0.5}, Max = {0.6, 0.35, -1.4}}, --{+forward/-back, +top/-down, +right/-left}
		
        Number = {{0, 22}},
        Life = {{0, 10}, {1, 25}},
        Spin = {{0, -0.1}, {0.1, -0.3}, {0.3, 0.1}, {1, -0.01}},
		ShaderParams = {{0, {2,2,0,0}, {2,2,0,0}}},

		ParentVelocity = {{0, 0.4}},
		Velocity = {{0.0, {-0.1, 0.28, 0.0}, {-0.1, 0.48, -0.3}}},
        VelocityOverLife = {{0.0, 0}},
		
        Size = {{0, 0.3}, {1, 2.8}},
        SizeOverLife = {{0.00, 0.30},
						{0.05, 1.28},{0.09, 2.20},
						{0.15, 1.25},{0.20, 2.80},
						{0.25, 2.50},{0.31, 4.80},
						{0.36, 4.20},{0.49, 6.20},
						{0.58, 5.60},{0.66, 8.30},
						{0.78, 9.30},{0.86, 12.90},
						{0.98, 12.20},{1.00, 12.50}},
		
		Windage = {{0, 0.5}},
		
		RedOverLife = DustRedOverLife,
		GreenOverLife = DustGreenOverLife,
		BlueOverLife = DustBlueOverLife,
        AlfaOverLife = {{0, 0}, {0.01, 0.32}, {0.2, 0.08}, {0.5, 0.03}, {0.99, 0.01}, {1, 0.0}},
    },
	[2] = 
	{
        Name = "TracksDustR",
		Texture = "LitDust.png",
        Technique = "Translucent",
		Flags = {"SoftParticles", "LocalSpace", "Sort"},
		InitPositionBox = {Min = {0.8, 0.25, 0.5}, Max = {0.6, 0.35, 1.4}}, --{+forward/-back, +top/-down, +right/-left}
		
        Number = {{0, 22}},
        Life = {{0, 10}, {1, 25}},
        Spin = {{0, 0.1}, {0.1, 0.3}, {0.3, -0.1}, {1, 0.01}},
		ShaderParams = {{0, {2,2,0,0}, {2,2,0,0}}},

		ParentVelocity = {{0, 0.4}},
		Velocity = {{0.0, {-0.1, 0.28, -0.0}, {-0.1, 0.48, 0.3}}},
        VelocityOverLife = {{0.0, 0}},
		
        Size = {{0, 0.3}, {1, 2.8}},
        SizeOverLife = {{0.00, 0.30},
						{0.05, 1.28},{0.09, 2.20},
						{0.15, 1.25},{0.20, 2.80},
						{0.25, 2.50},{0.31, 4.80},
						{0.36, 4.20},{0.49, 6.20},
						{0.58, 5.60},{0.66, 8.30},
						{0.78, 9.30},{0.86, 12.90},
						{0.98, 12.20},{1.00, 12.50}},
		
		Windage = {{0, 0.5}},
		
		RedOverLife = DustRedOverLife,
		GreenOverLife = DustGreenOverLife,
		BlueOverLife = DustBlueOverLife,
        AlfaOverLife = {{0, 0}, {0.01, 0.32}, {0.2, 0.08}, {0.5, 0.03}, {0.99, 0.01}, {1, 0.0}},
    },
}

Lods = 
{
	[1] = 
	{
		Distance = 1000,
		Emitters = 
		{
			["TracksDustR"] = 
			{
				Number = {{0,15}},
			},
			["TracksDustL"] = 
			{
				Number = {{0,15}},
			},
		}
	},
	[2] = 
	{
		Distance = 5000,
		Emitters = 
		{
			["TracksDustR"] = 
			{
				Number = {{0,10}},
			},
			["TracksDustL"] = 
			{
				Number = {{0,10}},
			},
		}
	},
	[3] = 
	{
		Distance = 40000,
		Emitters = 
		{
			["TracksDustR"] = 
			{
				Flags = {'Disable'},
			},
			["TracksDustL"] = 
			{
				Flags = {'Disable'},
			},
		}
	},
}